ProcessControlPlugin (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.product.ProcessControlPlugin class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product
Class ProcessControlPlugin

    java.lang.Object
      org.hyperic.hq.product.GenericPlugin
          org.hyperic.hq.product.ControlPlugin
              org.hyperic.hq.product.ProcessControlPlugin

    public class ProcessControlPlugin

extends ControlPlugin

Field Summary
`static java.util.List` | `ACTIONS`
`static java.lang.String` | `KILL`
`static java.lang.String` | `SIGHUP`
`static java.lang.String` | `SIGINT`
`static java.lang.String` | `SIGKILL`
`static java.lang.String` | `SIGQUIT`
`static java.lang.String` | `SIGTERM`
`static java.lang.String` | `SIGUSR1`
`static java.lang.String` | `SIGUSR2`

Fields inherited from class org.hyperic.hq.product.ControlPlugin
`DEFAULT_TIMEOUT, manager, PROP_TIMEOUT, RESULT_FAILURE, RESULT_SUCCESS, STATE_RESTARTING, STATE_STARTED, STATE_STARTING, STATE_STOPPED, STATE_STOPPING, STATE_UNKNOWN`

Fields inherited from class org.hyperic.hq.product.GenericPlugin
`config, FILE_DELIM, FILE_DELIM_ESC, PROP_NAME`

Constructor Summary
`ProcessControlPlugin()`

Method Summary
`void` | `configure(ConfigResponse config)`
`void` | `doAction(java.lang.String action, java.lang.String[] args)` Invokes plugin method with the name of param action.
`java.util.List` | `getActions()`
`static int` | `getSignal(java.lang.String signal)`
`void` | `init(PluginManager manager)` Called when the plugin is loaded on the server and on the agent side.
`protected boolean` | `killAll()`

Methods inherited from class org.hyperic.hq.product.ControlPlugin
`detectState, doAction, getConfigSchema, getManager, getMessage, getResult, getTimeout, getTimeoutMillis, isRunning, setManager, setMessage, setResult, setTimeout, setTimeout, waitForState`

Methods inherited from class org.hyperic.hq.product.GenericPlugin
`adjustClassPath, getAbsoluteFiles, getConfig, getConfig, getCustomPropertiesSchema, getCustomPropertiesSchema, getCustomPropertiesSchema, getDefaultInstallPath, getLog, getLogName, getManagerProperty, getName, getPlatformName, getPluginClassName, getPluginData, getPluginProperty, getProductPlugin, getProperties, getScriptExtension, getScriptExtension, getScriptExtension, getTypeInfo, getTypeNameProperty, getTypeNameProperty, getTypeProperties, getTypeProperty, getTypeProperty, getTypeProperty, isNetStatEnabled, isWin32, openResource, setData, setName, setTypeInfo, shutdown, toFileList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### KILL

    public static final java.lang.String KILL

See Also:
  Constant Field Values

### SIGHUP

    public static final java.lang.String SIGHUP

See Also:
  Constant Field Values

### SIGINT

    public static final java.lang.String SIGINT

See Also:
  Constant Field Values

### SIGQUIT

    public static final java.lang.String SIGQUIT

See Also:
  Constant Field Values

### SIGKILL

    public static final java.lang.String SIGKILL

See Also:
  Constant Field Values

### SIGTERM

    public static final java.lang.String SIGTERM

See Also:
  Constant Field Values

### SIGUSR1

    public static final java.lang.String SIGUSR1

See Also:
  Constant Field Values

### SIGUSR2

    public static final java.lang.String SIGUSR2

See Also:
  Constant Field Values

### ACTIONS

    public static final java.util.List ACTIONS

Constructor Detail

### ProcessControlPlugin

    public ProcessControlPlugin()

Method Detail

### init

    public void init(PluginManager manager)
              throws PluginException

  Description copied from class: `GenericPlugin`
  Called when the plugin is loaded on the server and on the agent side.

  Overrides:
    `init` in class `ControlPlugin`
  Parameters:
    `manager` - The plugin manager for this plugin type.
  Throws:
    `PluginException`

### configure

    public void configure(ConfigResponse config)
                   throws PluginException

  Overrides:
    `configure` in class `GenericPlugin`
  Throws:
    `PluginException`

### getActions

    public java.util.List getActions()

  Overrides:
    `getActions` in class `ControlPlugin`

### killAll

    protected boolean killAll()

### getSignal

    public static int getSignal(java.lang.String signal)
                         throws PluginException

  Throws:
    `PluginException`

### doAction

    public void doAction(java.lang.String action,
                         java.lang.String[] args)
                  throws PluginException

  Description copied from class: `ControlPlugin`
  Invokes plugin method with the name of param action.

  Overrides:
    `doAction` in class `ControlPlugin`
  Throws:
    `PluginException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.